"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownloadAllTablesResponseDto = exports.downloadAllTablesResponseSchema = exports.DownloadAllTablesDto = exports.downloadAllTablesSchema = void 0;
const translate_1 = require("../../i18n/translate");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = require("zod");
exports.downloadAllTablesSchema = zod_1.z.object({
    password: zod_1.z
        .string({ required_error: (0, translate_1.translate)('model.csv.password.required') })
        .min(1, (0, translate_1.translate)('model.csv.password.empty')),
});
class DownloadAllTablesDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.downloadAllTablesSchema) {
}
exports.DownloadAllTablesDto = DownloadAllTablesDto;
exports.downloadAllTablesResponseSchema = zod_1.z.object({
    zipData: zod_1.z.instanceof(Buffer),
});
class DownloadAllTablesResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.downloadAllTablesResponseSchema) {
}
exports.DownloadAllTablesResponseDto = DownloadAllTablesResponseDto;
//# sourceMappingURL=downloadAllTables.dto.js.map